/*
    Robot Interface Remote Client
    (C) 2006 Jason Hunt
    nulluser@gmail.com

    File: network.h
*/

#ifndef NETWORK_H
#define NETWORK_H

#define ROBOT_MOVEMENT          0x30
#define ROBOT_SENSOR_DATA       0x90
#define CAMERA_IMAGE            0x60

#define BUFFER_SIZE 128000

#define  MAX_COMPRESSED   4000000

void network_start( void );
void network_stop( void );
void network_check( void );
void network_connect(void );   
void network_message(WPARAM wParam, LPARAM lParam);

int network_send(unsigned char *data, unsigned int size); // Buffer
int network_send(unsigned char data);   // Single byte

extern unsigned int server_port;
extern char server_hostname[];

#endif

